/* main.js

After starting this web server, try these URLs:

	http://localhost:3000/convert/temperature?unit=c&value=10
	http://localhost:3000/convert/temperature?unit=f&value=32
		
	http://localhost:3000/convert/length?unit=m&value=2
	http://localhost:3000/convert/length?unit=ft&value=10
	
	http://localhost:3000/translate/english?word=hello
	http://localhost:3000/translate/english?word=good%20morning
*/

const
	http = require('http'),
	Controller = require('./controller.js').Controller,
	port = process.env.PORT || 3000,
	startupCallback = () => console.log(`Server started on port: ${port}`);
	
const handleRequest	= (req, res) => {
	const controller = new Controller(req, res);
	controller.processRequest();
}

const server = http.createServer(handleRequest);
server.listen(port, startupCallback);	

